package betterquesting.api2.client.gui.resources.factories.lines;

import betterquesting.api.utils.JsonHelper;
import betterquesting.api2.client.gui.resources.lines.IGuiLine;
import betterquesting.api2.client.gui.resources.lines.SimpleLine;
import betterquesting.api2.registry.IFactoryData;
import com.google.gson.JsonObject;
import net.minecraft.util.ResourceLocation;

/* loaded from: betterquesting_api2_client_gui_resources_factories_lines.jar:betterquesting/api2/client/gui/resources/factories/lines/FactorySimpleLine.class */
public class FactorySimpleLine implements IFactoryData<IGuiLine, JsonObject> {
    public static final FactorySimpleLine INSTANCE = new FactorySimpleLine();
    private static final ResourceLocation RES_ID = new ResourceLocation("betterquesting", "line_simple");

    public SimpleLine loadFromData(JsonObject data) {
        short stippleMask;
        int stippleScale = JsonHelper.GetNumber(data, "stippleScale", 1).intValue();
        try {
            stippleMask = (short) Integer.parseInt(JsonHelper.GetString(data, "stippleMask", "1111111111111111"), 2);
        } catch (NumberFormatException e) {
            stippleMask = -1;
        }
        return new SimpleLine(stippleScale, stippleMask);
    }

    public ResourceLocation getRegistryName() {
        return RES_ID;
    }

    /* renamed from: createNew, reason: merged with bridge method [inline-methods] */
    public SimpleLine m1createNew() {
        return new SimpleLine();
    }
}
